Bug 1615351 - Default out of sync interval is 5 minutes [NEEDINFO]
Summary: Default out of sync interval is 5 minutes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Reporting
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.4.0
Assignee: Sebastian Gräßl
QA Contact: Perry Gagne
URL:
Whiteboard:
: 1615350 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-13 12:03 UTC by Marek Hulan
Modified: 2019-11-05 23:32 UTC (History)
5 users (show)

Fixed In Version: foreman-1.18.0.10-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:28:11 UTC
Target Upstream Version:
mhulan: needinfo? (sgraessl)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 24350 None None None 2018-08-13 12:03:34 UTC

Description Marek Hulan 2018-08-13 12:03:31 UTC
This means that every host that hasn't reported in the last 5 minutes is out of sync. With Puppet the default interval is 30 minutes which means that most of your infra is out of sync all the time.

commit:348ec9c0d6ff6c2574c5e6dddbe8e9203d73d2e8 introduced this setting.

Comment 1 Marek Hulan 2018-08-13 12:03:37 UTC
Created from redmine issue https://projects.theforeman.org/issues/24350

Comment 2 Marek Hulan 2018-08-13 12:03:42 UTC
Upstream bug assigned to sgraessl@redhat.com

Comment 4 Marek Hulan 2018-08-13 12:08:18 UTC
To restore the original behavior, this should be CPed to 6.4.

Reproducing steps:
1) setup host with default puppet interval, make sure puppet run takes a while
2) wait for 30 minutes
3) host is marked as out of sync after 30 minutes, when puppet run finishes, e.g. 31th minute, it's green again

Actual results:
There used to be out of sync field that was a safety bumper, defaulting to 5 minutes. Its meaning has changed so to restore original behavior, puppet interval in settings should be set to 35

Expected results: puppet_interval setting is automatically set to 35 on new instance and is upgraded to 35 on upgrade, if 6.3 default value remained at 30. If user changed it e.g. to 60, then it remains 60.

Comment 5 pm-sat@redhat.com 2018-08-13 14:20:10 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24350 has been resolved.

Comment 6 Brad Buckingham 2018-08-14 17:26:48 UTC
*** Bug 1615350 has been marked as a duplicate of this bug. ***

Comment 10 Bryan Kearney 2018-10-16 19:28:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.